#IMPORTANT:- Please do not check this file into CVS with your local changes
#This file is used to pass config info to targets like apache_tomcat-clustering tests
#Please uncomment or add your properties to this file.

# $Id: local.properties 72339 2008-04-17 11:38:28Z adrian@jboss.org $

### General compiler configuration ###

# Use the jikes compiler
#build.compiler=jikes

# Use the eclipse compiler to allow for hot code swapping
# http://www.jboss.org/index.html?module=bb&op=viewtopic&t=65783
#
# Make sure you have these jars in tools/lib
#
#    org.eclipse.jdt.core_3.1.0.jar
#    jdtCompilerAdapter.jar (is contained in org.eclipse.jdt.core_3.1.0.jar)
#
#build.compiler=org.eclipse.jdt.core.JDTCompilerAdapter

javac.optimize=false
javac.debug=true
javac.depend=false
javac.verbose=false
javac.deprecation=false
javac.include.ant.runtime=true
javac.include.java.runtime=false
javac.fail.onerror=true

junit.showoutput=true

rmic.verify=true
rmic.iiop=false
rmic.iiopopts=
rmic.idl=
rmic.idlops=
rmic.debug=true

# Location of the httpd binary and the httpd serverroot
#location.apache.httpd=/usr/sbin
#location.apache.serverroot=${user.home}/httpd
#location.apache.config=conf/mod-cluster-httpd.conf

# Location of JBoss
jboss.dist=${env.JBOSS_HOME}

#
# Both node0 and node1 properties are needed to run clustering tests.
# e.g., tests-clustering. Note that you will need to have two separate ips
# (even at the same machine). Actually what we needed are just node0 and node1
# ips and the rest are optional. 
#
#node0=${env.MYTESTIP_1}
#node0.http.url=http://192.168.1.103:8080
#node0.jndiurl=jnp://192.168.1.103:1099
#node0.hajndi.url=jnp://192.168.1.103:1100

#node1=${env.MYTESTIP_2}
#node1.http.url=http://192.168.1.113:8080
#node1.jndiurl=jnp://192.168.1.113:1099
#node1.hajndi.url=jnp://192.168.1.113:1100

# Set this to partition your testsuite runs 
# from others on the network.
#udpGroup=${env.MY_UDP_GROUP}

# In tests involving multicast, multicast packets by default have a TTL 
# of 0. Uncomment to set this to 1 if you find 0 prevents proper multicast
# communication on your machine
#jbosstest.udp.ip_ttl=1

# Some DTM tests (e.g., dtm-tests) bring four JBoss instances up in order 
# to test transactions distributed across multiple servers. Those tests 
# need all four properties node0, node1, node2, and node3. Note that you 
# will need to have four separate ips (even at the same machine). 
#node2=${env.MYTESTIP_3}
#node3=${env.MYTESTIP_4}

#The following properties will reduce verbosity of Apache Commons HttpClient
#org.apache.commons.logging.Log=org.apache.commons.logging.impl.SimpleLog
#org.apache.commons.logging.simplelog.showdatetime=true
#org.apache.commons.logging.simplelog.log.org.apache.commons.httpclient=debug
#org.apache.commons.logging.simplelog.log.httpclient.wire.header=error
